| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Depth2TimeStretcher Class Reference
Seis

`#include <timedepthconv.h>`

Inheritance diagram for Depth2TimeStretcher:
[legend]

## Public Member Functions
| Depth2TimeStretcher ()
| Depth2TimeStretcher (const MultiID &)
Public Member Functions inherited from VelocityStretcher
MultiID | getVelID () const
bool | isOK () const override
bool | setVelData (const MultiID &)
const UnitOfMeasure * | velUnit () const
Public Member Functions inherited from ZAxisTransform
virtual NotifierAccess * | changeNotifier ()
virtual uiString | errMsg () const
ZDomain::Info & | fromZDomainInfo ()
const ZDomain::Info & | fromZDomainInfo () const
const char * | fromZDomainKey () const
ZSampling | getZInterval (bool from, bool makenice=true, const ZSampling *=nullptr) const
virtual bool | isReferenceHorizon (const MultiID &horid, float &refz) const
void | setDataFromZDomainInfo (const ZDomain::Info &)
void | setDataToZDomainInfo (const ZDomain::Info &)
ZDomain::Info & | toZDomainInfo ()
const ZDomain::Info & | toZDomainInfo () const
const char * | toZDomainKey () const
virtual float | toZScale () const
virtual void | transform (const BinID &, const SamplingData< float > &, int sz, float *res) const
float | transform (const BinIDValue &) const
float | transform (const Coord3 &) const
virtual void | transform2D (const char *linenm, int trcnr, const SamplingData< float > &, int sz, float *res) const
float | transform2D (const char *linenm, int trcnr, float z) const
virtual void | transformBack (const BinID &, const SamplingData< float > &, int sz, float *res) const
float | transformBack (const BinIDValue &) const
float | transformBack (const Coord3 &) const
virtual void | transformBack2D (const char *linenm, int trcnr, const SamplingData< float > &, int sz, float *res) const
float | transformBack2D (const char *linenm, int trcnr, float z) const
float | transformTrc (const TrcKey &, float z) const
float | transformTrcBack (const TrcKey &, float z) const
const ZDomain::Info & | zDomain (bool from) const
| Pointer to singleton.
virtual float | zScale () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Member Functions
| ~Depth2TimeStretcher ()
Protected Member Functions inherited from VelocityStretcher
| VelocityStretcher (const ZDomain::Def &from, const ZDomain::Def &to, const MultiID &)
| ~VelocityStretcher ()
Protected Member Functions inherited from ZAxisTransform
| ZAxisTransform (const ZDomain::Def &from, const ZDomain::Def &to)
| ~ZAxisTransform ()
ZSampling | getZInterval (const ZSampling &, const ZDomain::Def &from, const ZDomain::Def &to, bool makenice=true) const =delete
virtual ZSampling | getZInterval (const ZSampling &, const ZDomain::Info &from, const ZDomain::Info &to, bool makenice=true) const
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from VelocityStretcher
static Interval< float > | getDefaultVAvg (const UnitOfMeasure *)
static bool | getRange (const IOPar &, const VelocityDesc &, bool top, Interval< float > &)
static ZSampling | getWorkZSampling (const ZSampling &, const ZDomain::Info &from, const ZDomain::Info &to, const Interval< float > &topvavg, const Interval< float > &botvavg, const UnitOfMeasure *vavguom, bool makenice=true)
static ZSampling | getWorkZSampling (const ZSampling &, const ZDomain::Info &from, const ZDomain::Info &to, const IOPar &, bool makenice=true)
static void | setRange (const Interval< float > &, const VelocityDesc &, bool top, IOPar &)
Static Public Member Functions inherited from ZAxisTransform
static ZAxisTransform * | create (const IOPar &)
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)
Protected Attributes inherited from ZAxisTransform
const ZDomain::Info * | datafromzdominfo_ = nullptr
const ZDomain::Info * | datatozdominfo_ = nullptr
uiString | errmsg_
ZDomain::Info & | fromzdomaininfo_
ZDomain::Info & | tozdomaininfo_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Detailed Description

ZAxisstretcher that converts from depth to time (or back) using a 2D/3D velocity model on disk

<>

## Constructor & Destructor Documentation

## ◆ Depth2TimeStretcher() [1/2]

Depth2TimeStretcher::Depth2TimeStretcher | ( |  | ) |

## ◆ Depth2TimeStretcher() [2/2]

Depth2TimeStretcher::Depth2TimeStretcher | ( | const MultiID & |  | ) |

## ◆ ~Depth2TimeStretcher()

Depth2TimeStretcher::~Depth2TimeStretcher | ( |  | ) |
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025